Skip to main content

A player performance prediction comparison report for a given event.

GET 

/hockey/v2/reports/players/:uuid/events/:event_uuid/comparisons

Information in the report is available from additional APIs however it is summarized here for quick and easy post-game access.

The comparisons contains a json object listing each predicted prop along with the actual result from the box score and in some cases the average market over/under when available.

Here's an example of the comparisons in the response attributes:

"comparisons": {
"statisticsTotalGoals": {
"actual": 1,
"predicted": 0.159784
},
"statisticsTotalAssists": {
"actual": 0,
"predicted": 0.273817,
"marketAvgOver": "3.05",
"marketAvgUnder": "1.37"
},
"statisticsTotalPoints": {
"actual": 1,
"predicted": 0.433601,
"marketAvgOver": "1.80",
"marketAvgUnder": "1.99"
},
"statisticsTotalShots": {
"actual": 4,
"predicted": 2.15638,
"marketAvgOver": "2.23",
"marketAvgUnder": "1.63"
},
"statisticsTotalPenaltyMinutes": {
"actual": 0,
"predicted": 1.07605
},
"statisticsEvenstrengthGoals": {
"actual": 1,
"predicted": 0.0884805
},
"statisticsPowerplayGoals": {
"actual": 0,
"predicted": 0.0421251
},
"statisticsShorthandedGoals": {
"actual": 0,
"predicted": 0.0075728
},
"statisticsTotalGiveaways": {
"actual": 2,
"predicted": 0.757243
},
"statisticsTotalTakeaways": {
"actual": 3,
"predicted": 0.441259
},
"statisticsTotalBlockedShots": {
"actual": 0,
"predicted": 0.577913
},
"timeOnIceTotal": {
"actual": 1090,
"predicted": 1244.38
}
}


NOTE: Event results are not considered final until they are validated. Box scores should be accurate within 30 mins of the end of the game.

Request​

Path Parameters

    uuid anyrequired

    Player resource UUID

    event_uuid anyrequired

    Event resource UUID

Query Parameters

    page integer

    Default value: 1

    The collection page number

    count integer

    Default value: 30

    The number of items per page

    properties[] string[]

Responses​

PlayerComparison collection

Loading...